summaryrefslogtreecommitdiffstats
path: root/ruby/heroku-client/heroku-client.SlackBuild
diff options
context:
space:
mode:
author Dmitrii Sosedov <dmitrii@sosedov.org>2014-12-16 16:32:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-16 16:32:25 +0700
commit0193a5a11e26ee0455dba009f45f310b4999fcef (patch)
tree2ff2309fc2f72dcf5968f30c1a41daab28ec9bef /ruby/heroku-client/heroku-client.SlackBuild
parent6fc481bc09825e61716655e9f98f587e5f90dcfe (diff)
downloadslackbuilds-0193a5a11e26ee0455dba009f45f310b4999fcef.tar.gz
slackbuilds-0193a5a11e26ee0455dba009f45f310b4999fcef.tar.xz
ruby/heroku-client: Added (Heroku CLI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ruby/heroku-client/heroku-client.SlackBuild')
-rw-r--r--ruby/heroku-client/heroku-client.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/ruby/heroku-client/heroku-client.SlackBuild b/ruby/heroku-client/heroku-client.SlackBuild
new file mode 100644
index 0000000000..2e28c78f2a
--- /dev/null
+++ b/ruby/heroku-client/heroku-client.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for heroku-client
+
+# Copyright 2014 Dmitrii Sosedov, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=heroku-client
+VERSION=${VERSION:-3.20.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) ARCH=i686 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $PKG/opt $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tgz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -r ../$PRGNAM $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+
+(
+ ln -s /opt/$PRGNAM/bin/heroku $PKG/usr/bin/heroku
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}